# RUN: yaml2obj %s | llvm-readobj -symbols - | FileCheck %s
!ELF
FileHeader:
  Class: ELFCLASS64
  Data: ELFDATA2LSB
  Type: ET_REL
  Machine: EM_X86_64
Sections:
  - Name: .text
    Type: SHT_PROGBITS
    Flags: [ SHF_ALLOC, SHF_EXECINSTR ]
    AddressAlign: 0x4
    Content: "90EBFE" # x86 machine code
                      #   NOP ; To make main's `Value` non-zero (for testing).
                      # main:
                      #   JMP -2 ; (infloop)
                      # This YAML file is a valid relocatable object that,
                      # when linked and run on x86_64, will go into an
                      # infloop.
Symbols:
  Global:
    - Name: main
      Type: STT_FUNC
      Section: .text
      Value: 0x1
      Size: 2
    - Name: undefined_symbol

# CHECK:      Symbols [
# CHECK-NEXT:   Symbol {
# CHECK-NEXT:     Name:  (0)
# CHECK:        Symbol {
# CHECK-NEXT:     Name: main
# CHECK-NEXT:     Value: 0x1
# CHECK-NEXT:     Size: 2
# CHECK:          Binding: Global
# CHECK-NEXT:     Type: Function
# CHECK:          Section: .text
# CHECK:        Symbol {
# CHECK:          Name: undefined_symbol
# CHECK:          Section: Undefined (0x0)
